### Name: gcanvas
### Title: Interface to canvas device
### Aliases: gcanvas ggraphics
### Keywords: interface

### ** Examples

## Not run: 
##D   require(canvas, quietly=TRUE, warn=FALSE) ## require quietly
##D 
##D   ## Make a simple graph
##D   f <- tempfile() ## A file to store the javascript code
##D   canvas(file=f, width=480, height=400)
##D   hist(rnorm(100))
##D   dev.off()  ## write javascript code to f
##D 
##D   w <- gwindow("Canvas test")
##D   g <- ggroup(cont = w, horiz=F)
##D   cv <- gcanvas(f,cont = g)  ## when f is given, graph an initial graph
##D                              ## is drawn
##D   ## How to update the graphic using the svalue method
##D   b <- gbutton("click me", cont = g, handler = function(h,...) {
##D     canvas(file=f, width=480, height=400, bg="#ffffff") ## specify a
##D                                                         ## background color
##D     hist(rexp(100))
##D     dev.off()
##D     svalue(cv) <- f
##D   })
##D 
## End(Not run)



